package com.rjconsultores.ventaboletos.service.impl;

import java.util.Calendar;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.ConfiguracionProductoDAO;
import com.rjconsultores.ventaboletos.entidad.ConfiguracionProducto;
import com.rjconsultores.ventaboletos.service.ConfiguracionProductoService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;

@Service("configuracionProductoService")
public class ConfiguracionProductoServiceImpl implements ConfiguracionProductoService{

	@Autowired
	private ConfiguracionProductoDAO configuracionProductoDAO;
	
	@Override
	public List<ConfiguracionProducto> obtenerTodos() {
		return configuracionProductoDAO.obtenerTodos();
	}

	@Override
	public ConfiguracionProducto obtenerID(Long id) {
		return configuracionProductoDAO.obtenerID(id);
	}

	@Transactional
	public ConfiguracionProducto suscribir(ConfiguracionProducto entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.TRUE);
		return configuracionProductoDAO.suscribir(entidad);
	}

	@Transactional
	public ConfiguracionProducto actualizacion(ConfiguracionProducto entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.TRUE);
		return configuracionProductoDAO.actualizacion(entidad);
	}

	@Transactional
	public void borrar(ConfiguracionProducto entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.FALSE);
		configuracionProductoDAO.borrar(entidad);
	}

}
